gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Structs.DragSurfaceSize

Contents

- Exported types
- Methods
  - setSize

Description

Contains information that is useful to compute the size of a drag surface.

Since: 4.12

Synopsis

- newtype DragSurfaceSize = DragSurfaceSize (ManagedPtr DragSurfaceSize)
- dragSurfaceSizeSetSize :: (HasCallStack, MonadIO m) => DragSurfaceSize -> Int32 -> Int32 -> m ()

# Exported types

newtype DragSurfaceSize Source #

Memory-managed wrapper type.

Constructors

DragSurfaceSize (ManagedPtr DragSurfaceSize) |

#### Instances

Instances details

Eq DragSurfaceSize Source # |
Instance details Defined in GI.Gdk.Structs.DragSurfaceSize Methods (==) :: DragSurfaceSize -> DragSurfaceSize -> Bool Source # (/=) :: DragSurfaceSize -> DragSurfaceSize -> Bool Source #
BoxedPtr DragSurfaceSize Source # |
Instance details Defined in GI.Gdk.Structs.DragSurfaceSize Methods boxedPtrCopy :: DragSurfaceSize -> IO DragSurfaceSize Source # boxedPtrFree :: DragSurfaceSize -> IO () Source #
ManagedPtrNewtype DragSurfaceSize Source # |
Instance details Defined in GI.Gdk.Structs.DragSurfaceSize Methods toManagedPtr :: DragSurfaceSize -> ManagedPtr DragSurfaceSize Source #

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

None.

#### Getters

None.

#### Setters

setSize.

## setSize

dragSurfaceSizeSetSize Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> DragSurfaceSize | `size`: a `GdkDragSurfaceSize`
-> Int32 | `width`: the width
-> Int32 | `height`: the height
-> m () |

Sets the size the drag surface prefers to be resized to.

Since: 4.12